%define src_ver 0.1.9
%define languagelocal slovnik
%define languageeng slovak
%define languagecode sk

Summary: 	Slovak files for ispell
Name: 		ispell-%{languagecode} 
Version: 	%{src_ver}
Release: 	4mdk
URL: 		http://ispell.hq.alert.sk
Source:		http://ispell.hq.alert.sk/ispell-%{src_ver}.tar.bz2
License: 	Distributable
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-sk

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary = 3.2.06

%description
ispell-sk has the spelling data for Slovak which is used by
the ispell program. With this extension, you can compose a document
in Slovak and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%prep
%setup -c -q
mv -f ispell-%{languagecode}-%{src_ver}/* .

cat *.words | sort -u -f > slovak.words
mv -f slovak.words %{languagelocal}.hash
mv -f slovak.aff %{languagelocal}.aff

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 0644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 0644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
 # for compatibility with old ispell-sk
 ln -s %{languagelocal}.aff slovnk.aff
 ln -s %{languagelocal}.hash slovnk.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc README.en README.sk CHANGELOG AUTHORS TODO
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.1.9-4mdk
- add tag Provides spell-sk

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.9-3mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.9-2mdk
- changed Requires: ispell to PreReq: ispell

* Mon Aug 12 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.9-1mdk
- new version (0.1.9) from Pavol Cvengros <orpheus@hq.alert.sk>

* Mon Jul 22 2002 Pavol Cvengros <orpheus@hq.alert.sk> 0.1.8-1mdk
- bump to new version

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.4-4mdk
- rebuild with dependencies for new ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.4-3mdk
- rebuild for new ispell

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1.4-2mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1.4-1mdk
- Cleaned up the spec, updated to new version and moved to standard template.

* Fri May 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-1mdk
- First version for Mandrake.
